﻿
using System;
using System.Windows;
using System.Windows.Documents;

using MindFusion.Diagramming.Wpf;


namespace WpfApplication1
{
	public class CustomDiagramPaginator : DiagramPaginator
	{
		public CustomDiagramPaginator(Diagram diagram)
			: base(diagram)
		{
			// Set A0/Landscape size
			PageSize = new Size(96 * 46.81, 96 * 33.11);
		}
	}

	public class CustomDiagram : Diagram
	{
		public override DocumentPaginator DocumentPaginator
		{
			get { return new CustomDiagramPaginator(this); }
		}
	}
}
